## basenji 0.8.0

=== Makefile ===

EXTRA_DIST = $(srcdir)/custom-hooks.make Makefile

# Warning: This is an automatically generated file, do not edit!

srcdir=.
top_srcdir=..

include $(top_srcdir)/config.make

ifeq ($(CONFIG),DEBUG)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize- -debug "-define:DEBUG"
ASSEMBLY = bin/Debug/Basenji.exe
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = winexe
PROJECT_REFERENCES =  \
	../Platform/bin/Debug/Platform.dll \
	../VolumeDB/bin/Debug/VolumeDB.dll
BUILD_DIR = bin/Debug

BASENJI_EXE_MDB_SOURCE=bin/Debug/Basenji.exe.mdb
BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
PLATFORM_DLL_MDB=$(BUILD_DIR)/Platform.dll.mdb
VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll
PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll
PLATFORM_COMMON_DB_DLL_MDB_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll.mdb
PLATFORM_COMMON_DB_DLL_MDB=$(BUILD_DIR)/Platform.Common.DB.dll.mdb
LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll
LIBEXTRACTOR_DLL_MDB_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll.mdb
LIBEXTRACTOR_DLL_MDB=$(BUILD_DIR)/LibExtractor.dll.mdb
MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll
MUSICBRAINZ_DLL_MDB_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll.mdb
MUSICBRAINZ_DLL_MDB=$(BUILD_DIR)/MusicBrainz.dll.mdb
VOLUMEDB_DLL_MDB_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll.mdb
VOLUMEDB_DLL_MDB=$(BUILD_DIR)/VolumeDB.dll.mdb

endif

ifeq ($(CONFIG),RELEASE)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize+
ASSEMBLY = bin/Release/Basenji.exe
ASSEMBLY_MDB = 
COMPILE_TARGET = winexe
PROJECT_REFERENCES =  \
	../Platform/bin/Release/Platform.dll \
	../VolumeDB/bin/Release/VolumeDB.dll
BUILD_DIR = bin/Release

BASENJI_EXE_MDB=
LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
PLATFORM_DLL_MDB=
VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
PLATFORM_COMMON_DB_DLL_MDB=
LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Release/LibExtractor.dll
LIBEXTRACTOR_DLL_MDB=
MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Release/MusicBrainz.dll
MUSICBRAINZ_DLL_MDB=
VOLUMEDB_DLL_MDB=

endif

ifeq ($(CONFIG),GNOME_DEBUG)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize- -debug "-define:DEBUG"
ASSEMBLY = bin/Debug/Basenji.exe
ASSEMBLY_MDB = $(ASSEMBLY).mdb
COMPILE_TARGET = winexe
PROJECT_REFERENCES =  \
	../Platform/bin/Debug/Platform.dll \
	../VolumeDB/bin/Debug/VolumeDB.dll
BUILD_DIR = bin/Debug

BASENJI_EXE_MDB_SOURCE=bin/Debug/Basenji.exe.mdb
BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
PLATFORM_DLL_MDB=$(BUILD_DIR)/Platform.dll.mdb
VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll
PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll
PLATFORM_COMMON_DB_DLL_MDB_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll.mdb
PLATFORM_COMMON_DB_DLL_MDB=$(BUILD_DIR)/Platform.Common.DB.dll.mdb
LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll
LIBEXTRACTOR_DLL_MDB_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll.mdb
LIBEXTRACTOR_DLL_MDB=$(BUILD_DIR)/LibExtractor.dll.mdb
MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll
MUSICBRAINZ_DLL_MDB_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll.mdb
MUSICBRAINZ_DLL_MDB=$(BUILD_DIR)/MusicBrainz.dll.mdb
VOLUMEDB_DLL_MDB_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll.mdb
VOLUMEDB_DLL_MDB=$(BUILD_DIR)/VolumeDB.dll.mdb

endif

ifeq ($(CONFIG),GNOME_RELEASE)
ASSEMBLY_COMPILER_COMMAND = gmcs
ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize+
ASSEMBLY = bin/Release/Basenji.exe
ASSEMBLY_MDB = 
COMPILE_TARGET = winexe
PROJECT_REFERENCES =  \
	../Platform/bin/Release/Platform.dll \
	../VolumeDB/bin/Release/VolumeDB.dll
BUILD_DIR = bin/Release

BASENJI_EXE_MDB=
LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
PLATFORM_DLL_MDB=
VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
PLATFORM_COMMON_DB_DLL_MDB=
LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Release/LibExtractor.dll
LIBEXTRACTOR_DLL_MDB=
MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Release/MusicBrainz.dll
MUSICBRAINZ_DLL_MDB=
VOLUMEDB_DLL_MDB=

endif

AL=al2
SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll

PROGRAMFILES = \
	$(BASENJI_EXE_MDB) \
	$(LIBEXTRACTOR_DLL_CONFIG) \
	$(BASENJI_EXE_CONFIG) \
	$(PLATFORM_DLL) \
	$(PLATFORM_DLL_MDB) \
	$(VOLUMEDB_DLL) \
	$(PLATFORM_COMMON_DB_DLL) \
	$(PLATFORM_COMMON_DB_DLL_MDB) \
	$(LIBEXTRACTOR_DLL) \
	$(LIBEXTRACTOR_DLL_MDB) \
	$(MUSICBRAINZ_DLL) \
	$(MUSICBRAINZ_DLL_MDB) \
	$(VOLUMEDB_DLL_MDB)  

LINUX_DESKTOPAPPLICATIONS = \
	$(BASENJI_DESKTOP)  

BINARIES = \
	$(BASENJI)  


RESGEN=resgen2

BASENJI_DESKTOP = $(BUILD_DIR)/basenji.desktop
BASENJI = $(BUILD_DIR)/basenji
LIBEXTRACTOR_DLL_CONFIG = $(BUILD_DIR)/LibExtractor.dll.config
BASENJI_EXE_CONFIG = $(BUILD_DIR)/Basenji.exe.config
PLATFORM_DLL = $(BUILD_DIR)/Platform.dll
VOLUMEDB_DLL = $(BUILD_DIR)/VolumeDB.dll
PLATFORM_COMMON_DB_DLL = $(BUILD_DIR)/Platform.Common.DB.dll
LIBEXTRACTOR_DLL = $(BUILD_DIR)/LibExtractor.dll
MUSICBRAINZ_DLL = $(BUILD_DIR)/MusicBrainz.dll

FILES = \
	src/Gui/About.cs \
	src/Gui/DBProperties.cs \
	src/Gui/DriveSelection.cs \
	src/Gui/Events.cs \
	src/Gui/ItemSearch.cs \
	src/Gui/MainWindow.cs \
	src/Gui/Preferences.cs \
	src/Gui/VolumeProperties.cs \
	src/Gui/VolumeScanner.cs \
	src/Gui/Base/BinBase.cs \
	src/Gui/Base/DialogBase.cs \
	src/Gui/Base/ViewBase.cs \
	src/Gui/Base/WindowBase.cs \
	src/Gui/Widgets/DateChooser.cs \
	src/Gui/Widgets/ItemInfo.cs \
	src/Gui/Widgets/ItemView.cs \
	src/Gui/Widgets/Led.cs \
	src/Gui/Widgets/SearchResultView.cs \
	src/Gui/Widgets/VolumeView.cs \
	src/Icons/CustomIconTheme.cs \
	src/Icons/Icon.cs \
	src/Icons/IconCache.cs \
	src/Icons/IconUtils.cs \
	src/Icons/ItemIcons.cs \
	src/Icons/MimeIconCache.cs \
	src/Icons/NameInCustomIconThemeAttribute.cs \
	src/App.cs \
	src/AssemblyInfo.cs \
	src/PathUtil.cs \
	src/FileDialog.cs \
	src/Main.cs \
	src/MsgDialog.cs \
	src/Settings.cs \
	src/Util.cs \
	src/S.cs \
	src/Gui/Widgets/CategoryView.cs \
	src/Gui/Widgets/PageNavigation.cs \
	src/Gui/Widgets/PageNavigationEvents.cs \
	src/Gui/Widgets/IconEntry.cs \
	src/Gui/Widgets/SearchEntry.cs \
	src/Gui/Widgets/ItemPreview.cs \
	src/Gui/Import.cs \
	src/Icons/CustomIconThemeMimeMapping.cs \
	src/MimeCategoryMapping.cs \
	src/Gui/ItemProperties.cs \
	src/Gui/ObjectProperties.cs \
	src/Gui/Widgets/Editors/AudioCdVolumeEditor.cs \
	src/Gui/Widgets/Editors/AudioTrackItemEditor.cs \
	src/Gui/Widgets/Editors/FileSystemItemEditor.cs \
	src/Gui/Widgets/Editors/FileSystemVolumeEditor.cs \
	src/Gui/Widgets/Editors/ItemEditor.cs \
	src/Gui/Widgets/Editors/ObjectEditor.cs \
	src/Gui/Widgets/Editors/ObjectEditorEvents.cs \
	src/Gui/Widgets/Editors/ObjectEditorExceptions.cs \
	src/Gui/Widgets/Editors/VolumeEditor.cs \
	src/Gui/Widgets/Editors/FileItemEditor.cs \
	src/Gui/Widgets/Editors/DirectoryItemEditor.cs \
	src/Gui/Widgets/Sorting.cs \
	src/Options.cs \
	src/Global.cs 

DATA_FILES = 

RESOURCES = \
	images/LED_Off.png,Basenji.images.LED_Off.png \
	images/LED_On.png,Basenji.images.LED_On.png \
	po/de.resources,Basenji.po.de.resources \
	po/he.resources,Basenji.po.he.resources \
	po/da.resources,Basenji.po.da.resources \
	po/es.resources,Basenji.po.es.resources \
	po/fr.resources,Basenji.po.fr.resources \
	po/ru.resources,Basenji.po.ru.resources \
	po/bg.resources,Basenji.po.bg.resources \
	po/it.resources,Basenji.po.it.resources \
	po/oc.resources,Basenji.po.oc.resources \
	po/pt_BR.resources,Basenji.po.pt_BR.resources \
	po/tr.resources,Basenji.po.tr.resources \
	images/calendar.png,Basenji.images.calendar.png \
	po/pl.resources,Basenji.po.pl.resources \
	po/hu.resources,Basenji.po.hu.resources \
	po/et.resources,Basenji.po.et.resources \
	po/uk.resources,Basenji.po.uk.resources \
	po/zh_CN.resources,Basenji.po.zh_CN.resources \
	po/sr.resources,Basenji.po.sr.resources \
	po/hr.resources,Basenji.po.hr.resources \
	po/nl.resources,Basenji.po.nl.resources \
	po/cs.resources,Basenji.po.cs.resources 

EXTRAS = \
	app.desktop \
	basenji \
	LibExtractor.dll.config \
	Basenji.exe.config \
	src/App.cs.in \
	basenji.desktop.in \
	basenji.in 

REFERENCES =  \
	System \
	-pkg:gtk-sharp-2.0 \
	-pkg:glib-sharp-2.0 \
	Mono.Cairo \
	System.Core

DLL_REFERENCES = 

CLEANFILES = $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES) 

#Targets
all: $(ASSEMBLY) $(PROGRAMFILES) $(LINUX_DESKTOPAPPLICATIONS) $(BINARIES)  $(top_srcdir)/config.make

include $(top_srcdir)/Makefile.include
include $(srcdir)/custom-hooks.make



$(eval $(call emit-deploy-wrapper,BASENJI_DESKTOP,basenji.desktop))
$(eval $(call emit-deploy-wrapper,BASENJI,basenji))
$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL_CONFIG))
$(eval $(call emit-deploy-target,BASENJI_EXE_CONFIG))
$(eval $(call emit-deploy-target,PLATFORM_DLL))
$(eval $(call emit-deploy-target,PLATFORM_DLL_MDB))
$(eval $(call emit-deploy-target,VOLUMEDB_DLL))
$(eval $(call emit-deploy-target,PLATFORM_COMMON_DB_DLL))
$(eval $(call emit-deploy-target,PLATFORM_COMMON_DB_DLL_MDB))
$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL))
$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL_MDB))
$(eval $(call emit-deploy-target,MUSICBRAINZ_DLL))
$(eval $(call emit-deploy-target,MUSICBRAINZ_DLL_MDB))
$(eval $(call emit-deploy-target,VOLUMEDB_DLL_MDB))


$(eval $(call emit_resgen_targets))
$(build_xamlg_list): %.xaml.g.cs: %.xaml
	xamlg '$<'

# Targets for Custom commands
DEBUG_AfterBuild:
	(cd $(srcdir) && ./custom_build_commands.sh --after-build $(BUILD_DIR))

DEBUG_AfterClean:
	(cd $(srcdir) && ./custom_build_commands.sh --after-clean $(BUILD_DIR))

RELEASE_AfterBuild:
	(cd $(srcdir) && ./custom_build_commands.sh --after-build $(BUILD_DIR))

RELEASE_AfterClean:
	(cd $(srcdir) && ./custom_build_commands.sh --after-clean $(BUILD_DIR))

GNOME_DEBUG_AfterBuild:
	(cd $(srcdir) && ./custom_build_commands.sh --after-build $(BUILD_DIR))

GNOME_DEBUG_AfterClean:
	(cd $(srcdir) && ./custom_build_commands.sh --after-clean $(BUILD_DIR))

GNOME_RELEASE_AfterBuild:
	(cd $(srcdir) && ./custom_build_commands.sh --after-build $(BUILD_DIR))

GNOME_RELEASE_AfterClean:
	(cd $(srcdir) && ./custom_build_commands.sh --after-clean $(BUILD_DIR))


$(ASSEMBLY_MDB): $(ASSEMBLY)
$(ASSEMBLY): $(build_sources) $(build_resources) $(build_datafiles) $(DLL_REFERENCES) $(PROJECT_REFERENCES) $(build_xamlg_list) $(build_satellite_assembly_list)
	make pre-all-local-hook prefix=$(prefix)
	mkdir -p $(shell dirname $(ASSEMBLY))
	make $(CONFIG)_BeforeBuild
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$(ASSEMBLY) -target:$(COMPILE_TARGET) $(build_sources_embed) $(build_resources_embed) $(build_references_ref)
	make $(CONFIG)_AfterBuild
	make post-all-local-hook prefix=$(prefix)

install-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
	make pre-install-local-hook prefix=$(prefix)
	make install-satellite-assemblies prefix=$(prefix)
	mkdir -p '$(DESTDIR)$(libdir)/$(PACKAGE)'
	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
	$(call cp,$(BASENJI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))

=== debian/changelog ===
basenji (0.8.0-3) unstable; urgency=low

  * [ee6593c] Update debian/rules for DH8-compatible "--with cli"

 -- Jo Shields <directhex@apebox.org>  Fri, 20 Jan 2012 17:41:06 +0000

basenji (0.8.0-2) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition. 

 -- Iain Lane <laney@debian.org>  Tue, 17 Jan 2012 22:02:49 +0000

basenji (0.8.0-1) unstable; urgency=low

  * Initial release (closes: #617396)

 -- Patrick Ulbrich <zulu99@gmx.net>  Sun, 02 Oct 2011 18:01:08 +0200

=== debian/control ===
Source: basenji
Section: gnome
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders: Patrick Ulbrich <zulu99@gmx.net>
Build-Depends: autotools-dev,
               cli-common-dev,
               debhelper (>= 8.0.0),
               libextractor-dev (>= 0.5.23),
               libgio2.0-cil-dev,
               libglib2.0-cil-dev,
               libgnome-vfs2.0-cil-dev,
               libgnome2.0-cil-dev,
               libgtk2.0-cil-dev,
               libmono-cairo2.0-cil,
               libndesk-dbus-glib1.0-cil-dev,
               libndesk-dbus1.0-cil-dev,
               mono-devel (>= 2.6.7),
               pkg-config
Standards-Version: 3.9.2
Homepage: http://launchpad.net/basenji

Package: basenji
Architecture: all
Depends: libextractor-plugins (>= 0.5.23),
         librsvg2-common (>= 2.26.0),
         udisks,
         ${cli:Depends},
         ${misc:Depends}
Description: Cross-platform media indexing/search tool
 Basenji is an indexing and search tool designed for easy and fast indexing
 of media collections. Once indexed, removable media such as CDs and
 USB sticks can be browsed and searched for specific files very quickly,
 without actually being connected to the computer. Besides file hierarchies
 and audio track listings, Basenji also presents extracted metadata
 (image dimensions, mp3 tags etc.) and content previews of indexed media in a
 clean and straightforward user interface.

## basenji 0.9.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include $(top_srcdir)/config.make
 
 ifeq ($(CONFIG),DEBUG)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize- -debug "-define:DEBUG"
 ASSEMBLY = bin/Debug/Basenji.exe
 ASSEMBLY_MDB = $(ASSEMBLY).mdb
@@ -21,7 +21,6 @@
 
 BASENJI_EXE_MDB_SOURCE=bin/Debug/Basenji.exe.mdb
 BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
-LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
 PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
@@ -30,9 +29,6 @@
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll
 PLATFORM_COMMON_DB_DLL_MDB_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll.mdb
 PLATFORM_COMMON_DB_DLL_MDB=$(BUILD_DIR)/Platform.Common.DB.dll.mdb
-LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll
-LIBEXTRACTOR_DLL_MDB_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll.mdb
-LIBEXTRACTOR_DLL_MDB=$(BUILD_DIR)/LibExtractor.dll.mdb
 MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll
 MUSICBRAINZ_DLL_MDB_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll.mdb
 MUSICBRAINZ_DLL_MDB=$(BUILD_DIR)/MusicBrainz.dll.mdb
@@ -42,7 +38,7 @@
 endif
 
 ifeq ($(CONFIG),RELEASE)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize+
 ASSEMBLY = bin/Release/Basenji.exe
 ASSEMBLY_MDB = 
@@ -53,15 +49,12 @@
 BUILD_DIR = bin/Release
 
 BASENJI_EXE_MDB=
-LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
 PLATFORM_DLL_MDB=
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
 PLATFORM_COMMON_DB_DLL_MDB=
-LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Release/LibExtractor.dll
-LIBEXTRACTOR_DLL_MDB=
 MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Release/MusicBrainz.dll
 MUSICBRAINZ_DLL_MDB=
 VOLUMEDB_DLL_MDB=
@@ -69,7 +62,7 @@
 endif
 
 ifeq ($(CONFIG),GNOME_DEBUG)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize- -debug "-define:DEBUG"
 ASSEMBLY = bin/Debug/Basenji.exe
 ASSEMBLY_MDB = $(ASSEMBLY).mdb
@@ -81,7 +74,6 @@
 
 BASENJI_EXE_MDB_SOURCE=bin/Debug/Basenji.exe.mdb
 BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
-LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
 PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
@@ -90,9 +82,6 @@
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll
 PLATFORM_COMMON_DB_DLL_MDB_SOURCE=../Platform.Common.DB/bin/Debug/Platform.Common.DB.dll.mdb
 PLATFORM_COMMON_DB_DLL_MDB=$(BUILD_DIR)/Platform.Common.DB.dll.mdb
-LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll
-LIBEXTRACTOR_DLL_MDB_SOURCE=../LibExtractor/bin/Debug/LibExtractor.dll.mdb
-LIBEXTRACTOR_DLL_MDB=$(BUILD_DIR)/LibExtractor.dll.mdb
 MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll
 MUSICBRAINZ_DLL_MDB_SOURCE=../MusicBrainz/bin/Debug/MusicBrainz.dll.mdb
 MUSICBRAINZ_DLL_MDB=$(BUILD_DIR)/MusicBrainz.dll.mdb
@@ -102,7 +91,7 @@
 endif
 
 ifeq ($(CONFIG),GNOME_RELEASE)
-ASSEMBLY_COMPILER_COMMAND = gmcs
+ASSEMBLY_COMPILER_COMMAND = dmcs
 ASSEMBLY_COMPILER_FLAGS =  -noconfig -codepage:utf8 -warn:3 -optimize+
 ASSEMBLY = bin/Release/Basenji.exe
 ASSEMBLY_MDB = 
@@ -113,35 +102,29 @@
 BUILD_DIR = bin/Release
 
 BASENJI_EXE_MDB=
-LIBEXTRACTOR_DLL_CONFIG_SOURCE=LibExtractor.dll.config
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
 PLATFORM_DLL_MDB=
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
 PLATFORM_COMMON_DB_DLL_MDB=
-LIBEXTRACTOR_DLL_SOURCE=../LibExtractor/bin/Release/LibExtractor.dll
-LIBEXTRACTOR_DLL_MDB=
 MUSICBRAINZ_DLL_SOURCE=../MusicBrainz/bin/Release/MusicBrainz.dll
 MUSICBRAINZ_DLL_MDB=
 VOLUMEDB_DLL_MDB=
 
 endif
 
-AL=al2
+AL=al
 SATELLITE_ASSEMBLY_NAME=$(notdir $(basename $(ASSEMBLY))).resources.dll
 
 PROGRAMFILES = \
 	$(BASENJI_EXE_MDB) \
-	$(LIBEXTRACTOR_DLL_CONFIG) \
 	$(BASENJI_EXE_CONFIG) \
 	$(PLATFORM_DLL) \
 	$(PLATFORM_DLL_MDB) \
 	$(VOLUMEDB_DLL) \
 	$(PLATFORM_COMMON_DB_DLL) \
 	$(PLATFORM_COMMON_DB_DLL_MDB) \
-	$(LIBEXTRACTOR_DLL) \
-	$(LIBEXTRACTOR_DLL_MDB) \
 	$(MUSICBRAINZ_DLL) \
 	$(MUSICBRAINZ_DLL_MDB) \
 	$(VOLUMEDB_DLL_MDB)  
@@ -157,12 +140,10 @@
 
 BASENJI_DESKTOP = $(BUILD_DIR)/basenji.desktop
 BASENJI = $(BUILD_DIR)/basenji
-LIBEXTRACTOR_DLL_CONFIG = $(BUILD_DIR)/LibExtractor.dll.config
 BASENJI_EXE_CONFIG = $(BUILD_DIR)/Basenji.exe.config
 PLATFORM_DLL = $(BUILD_DIR)/Platform.dll
 VOLUMEDB_DLL = $(BUILD_DIR)/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL = $(BUILD_DIR)/Platform.Common.DB.dll
-LIBEXTRACTOR_DLL = $(BUILD_DIR)/LibExtractor.dll
 MUSICBRAINZ_DLL = $(BUILD_DIR)/MusicBrainz.dll
 
 FILES = \
@@ -257,16 +238,15 @@
 EXTRAS = \
 	app.desktop \
 	basenji \
-	LibExtractor.dll.config \
 	Basenji.exe.config \
 	src/App.cs.in \
 	basenji.desktop.in \
 	basenji.in 
 
 REFERENCES =  \
-	System \
 	-pkg:gtk-sharp-2.0 \
 	-pkg:glib-sharp-2.0 \
+	System \
 	Mono.Cairo \
 	System.Core
 
@@ -284,15 +264,12 @@
 
 $(eval $(call emit-deploy-wrapper,BASENJI_DESKTOP,basenji.desktop))
 $(eval $(call emit-deploy-wrapper,BASENJI,basenji))
-$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL_CONFIG))
 $(eval $(call emit-deploy-target,BASENJI_EXE_CONFIG))
 $(eval $(call emit-deploy-target,PLATFORM_DLL))
 $(eval $(call emit-deploy-target,PLATFORM_DLL_MDB))
 $(eval $(call emit-deploy-target,VOLUMEDB_DLL))
 $(eval $(call emit-deploy-target,PLATFORM_COMMON_DB_DLL))
 $(eval $(call emit-deploy-target,PLATFORM_COMMON_DB_DLL_MDB))
-$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL))
-$(eval $(call emit-deploy-target,LIBEXTRACTOR_DLL_MDB))
 $(eval $(call emit-deploy-target,MUSICBRAINZ_DLL))
 $(eval $(call emit-deploy-target,MUSICBRAINZ_DLL_MDB))
 $(eval $(call emit-deploy-target,VOLUMEDB_DLL_MDB))
@@ -344,3 +321,24 @@
 	$(call cp,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(BASENJI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	mkdir -p '$(DESTDIR)$(datadir)/applications'
+	$(call cp,$(BASENJI_DESKTOP),$(DESTDIR)$(datadir)/applications)
+	mkdir -p '$(DESTDIR)$(bindir)'
+	$(call cp,$(BASENJI),$(DESTDIR)$(bindir))
+	$(call cp,$(BASENJI_EXE_CONFIG),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(PLATFORM_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(PLATFORM_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(VOLUMEDB_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(PLATFORM_COMMON_DB_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(PLATFORM_COMMON_DB_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(MUSICBRAINZ_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(MUSICBRAINZ_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(VOLUMEDB_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	make post-install-local-hook prefix=$(prefix)
+
+uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
+	make pre-uninstall-local-hook prefix=$(prefix)
+	make uninstall-satellite-assemblies prefix=$(prefix)
+	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call rm,$(BASENJI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))

=== debian/changelog ===
basenji (0.9.0-1build1) quantal; urgency=low

  * Rebuild to update libtaglib2.x-cil dependency.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Sep 2012 18:55:46 +0200

basenji (0.9.0-1) unstable; urgency=low

  * [34f9360] Imported Upstream version 0.9.0
  * [397040e] updated dependencies in control
  * [eba4780] updated copyright date
  * [81c45de] drop patches that have been applied upstream
  * [df3499a] updated use_mono-csc_compiler patch

 -- Patrick Ulbrich <zulu99@gmx.net>  Thu, 23 Feb 2012 21:37:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: autotools-dev,
                cli-common-dev,
                debhelper (>= 8.0.0),
-               libextractor-dev (>= 0.5.23),
+               libtaglib-cil-dev (>= 2.0.4.0),
                libgio2.0-cil-dev,
                libglib2.0-cil-dev,
                libgnome-vfs2.0-cil-dev,
                libgnome2.0-cil-dev,
                libgtk2.0-cil-dev,
                libmono-cairo2.0-cil,
-               libndesk-dbus-glib1.0-cil-dev,
-               libndesk-dbus1.0-cil-dev,
+               libdbus-glib1.0-cil-dev,
+               libdbus1.0-cil-dev,
                mono-devel (>= 2.6.7),
                pkg-config
 Standards-Version: 3.9.2
@@ -22,8 +22,7 @@
 
 Package: basenji
 Architecture: all
-Depends: libextractor-plugins (>= 0.5.23),
-         librsvg2-common (>= 2.26.0),
+Depends: librsvg2-common (>= 2.26.0),
          udisks,
          ${cli:Depends},
          ${misc:Depends}

## basenji 1.0.1

=== Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
 BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
+PLATFORM_DLL_CONFIG_SOURCE=../Platform/Platform.dll.config
 PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
 PLATFORM_DLL_MDB=$(BUILD_DIR)/Platform.dll.mdb
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll
@@ -51,6 +52,7 @@
 BASENJI_EXE_MDB=
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
+PLATFORM_DLL_CONFIG_SOURCE=../Platform/Platform.dll.config
 PLATFORM_DLL_MDB=
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
@@ -76,6 +78,7 @@
 BASENJI_EXE_MDB=$(BUILD_DIR)/Basenji.exe.mdb
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Debug/Platform.dll
+PLATFORM_DLL_CONFIG_SOURCE=../Platform/Platform.dll.config
 PLATFORM_DLL_MDB_SOURCE=../Platform/bin/Debug/Platform.dll.mdb
 PLATFORM_DLL_MDB=$(BUILD_DIR)/Platform.dll.mdb
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Debug/VolumeDB.dll
@@ -104,6 +107,7 @@
 BASENJI_EXE_MDB=
 BASENJI_EXE_CONFIG_SOURCE=Basenji.exe.config
 PLATFORM_DLL_SOURCE=../Platform/bin/Release/Platform.dll
+PLATFORM_DLL_CONFIG_SOURCE=../Platform/Platform.dll.config
 PLATFORM_DLL_MDB=
 VOLUMEDB_DLL_SOURCE=../VolumeDB/bin/Release/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL_SOURCE=../Platform.Common.DB/bin/Release/Platform.Common.DB.dll
@@ -121,6 +125,7 @@
 	$(BASENJI_EXE_MDB) \
 	$(BASENJI_EXE_CONFIG) \
 	$(PLATFORM_DLL) \
+	$(PLATFORM_DLL_CONFIG) \
 	$(PLATFORM_DLL_MDB) \
 	$(VOLUMEDB_DLL) \
 	$(PLATFORM_COMMON_DB_DLL) \
@@ -142,6 +147,7 @@
 BASENJI = $(BUILD_DIR)/basenji
 BASENJI_EXE_CONFIG = $(BUILD_DIR)/Basenji.exe.config
 PLATFORM_DLL = $(BUILD_DIR)/Platform.dll
+PLATFORM_DLL_CONFIG = $(BUILD_DIR)/Platform.dll.config
 VOLUMEDB_DLL = $(BUILD_DIR)/VolumeDB.dll
 PLATFORM_COMMON_DB_DLL = $(BUILD_DIR)/Platform.Common.DB.dll
 MUSICBRAINZ_DLL = $(BUILD_DIR)/MusicBrainz.dll
@@ -206,7 +212,9 @@
 	src/Gui/Widgets/Editors/DirectoryItemEditor.cs \
 	src/Gui/Widgets/Sorting.cs \
 	src/Options.cs \
-	src/Global.cs 
+	src/Global.cs \
+	src/Gui/Widgets/InfoBar.cs \
+	src/Gui/WaitingDialog.cs 
 
 DATA_FILES = 
 
@@ -233,7 +241,8 @@
 	po/sr.resources,Basenji.po.sr.resources \
 	po/hr.resources,Basenji.po.hr.resources \
 	po/nl.resources,Basenji.po.nl.resources \
-	po/cs.resources,Basenji.po.cs.resources 
+	po/cs.resources,Basenji.po.cs.resources \
+	po/sk.resources,Basenji.po.sk.resources 
 
 EXTRAS = \
 	app.desktop \
@@ -266,6 +275,7 @@
 $(eval $(call emit-deploy-wrapper,BASENJI,basenji))
 $(eval $(call emit-deploy-target,BASENJI_EXE_CONFIG))
 $(eval $(call emit-deploy-target,PLATFORM_DLL))
+$(eval $(call emit-deploy-target,PLATFORM_DLL_CONFIG))
 $(eval $(call emit-deploy-target,PLATFORM_DLL_MDB))
 $(eval $(call emit-deploy-target,VOLUMEDB_DLL))
 $(eval $(call emit-deploy-target,PLATFORM_COMMON_DB_DLL))
@@ -327,18 +337,9 @@
 	$(call cp,$(BASENJI),$(DESTDIR)$(bindir))
 	$(call cp,$(BASENJI_EXE_CONFIG),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(PLATFORM_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
+	$(call cp,$(PLATFORM_DLL_CONFIG),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(PLATFORM_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(VOLUMEDB_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(PLATFORM_COMMON_DB_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(PLATFORM_COMMON_DB_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
 	$(call cp,$(MUSICBRAINZ_DLL),$(DESTDIR)$(libdir)/$(PACKAGE))
-	$(call cp,$(MUSICBRAINZ_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
-	$(call cp,$(VOLUMEDB_DLL_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
-	make post-install-local-hook prefix=$(prefix)
-
-uninstall-local: $(ASSEMBLY) $(ASSEMBLY_MDB)
-	make pre-uninstall-local-hook prefix=$(prefix)
-	make uninstall-satellite-assemblies prefix=$(prefix)
-	$(call rm,$(ASSEMBLY),$(DESTDIR)$(libdir)/$(PACKAGE))
-	$(call rm,$(ASSEMBLY_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))
-	$(call rm,$(BASENJI_EXE_MDB),$(DESTDIR)$(libdir)/$(PACKAGE))

=== debian/changelog ===
basenji (1.0.1-3) unstable; urgency=low

  * [2e5f9aa] Use DBus# 2.0 API

 -- Jo Shields <directhex@apebox.org>  Mon, 28 Oct 2013 00:21:14 +0000

basenji (1.0.1-2) unstable; urgency=low

  * Team upload
  * Rebuild against taglib-sharp 2.1.0.0
  * [16c14a3] Set Vcs-* fields
  * [c57b11d] Bump Standards-Version to 3.9.4

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 21 Sep 2013 17:35:44 +0800

basenji (1.0.1-1) experimental; urgency=low

  * [bc1d602] updated dependencies in control
  * [1cfdae9] Imported Upstream version 1.0.0
    - Added ability to rescan volumes
    - Added ability to view found items in the main window
    - Removed menubar and added chrome-like appmenu button
    - Misc other GUI updates
    - Added CdCat import
    - Added search criteria chooser for MS Windows
    - KDE compatibility fixes
    - Added ability to enter volume information while scanning
    - Added ability to close windows via the esc key / 
      delete items via the del key
    - Removed deprecated Gnome-VFS and Gnome dependencies
    - Speed improvements
    - Misc other bugfixes
    - Updated / added translations
  * [0606f43] Updated use_mono-csc_compiler patch
  * [884ff61] Imported Upstream version 1.0.1
    - Added workaround for a metadata parsing bug in taglib-sharp
    - Fixed height of the description entry in the volume editor
    - Updated translations

 -- Patrick Ulbrich <zulu99@gmx.net>  Fri, 28 Dec 2012 20:25:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
                libtaglib-cil-dev (>= 2.0.4.0),
                libgio2.0-cil-dev,
                libglib2.0-cil-dev,
-               libgnome-vfs2.0-cil-dev,
-               libgnome2.0-cil-dev,
+               libgnome-desktop-dev,
                libgtk2.0-cil-dev,
                libmono-cairo2.0-cil,
-               libdbus-glib1.0-cil-dev,
-               libdbus1.0-cil-dev,
+               libdbus-glib2.0-cil-dev,
+               libdbus2.0-cil-dev,
                mono-devel (>= 2.6.7),
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://launchpad.net/basenji
+Vcs-Git: git://git.debian.org/git/pkg-cli-apps/packages/basenji.git
+Vcs-Browser: http://git.debian.org/?p=pkg-cli-apps/packages/basenji.git
 
 Package: basenji
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@ --with cli

override_dh_auto_configure:
	./configure --prefix=/usr --config=GNOME_RELEASE

override_dh_auto_clean:
	[ -f config.make ] || ./configure --clean-only
	dh_auto_clean
	rm -f config.log config.make Basenji/basenji.desktop
	find -name "*.pc" | xargs rm -rf

=== debian/watch ===
version=3
https://launchpad.net/basenji/+download \
    (?:.*/)?basenji-([\d\.]+)\.tar\.gz
